CANVAS_PROTO_LEGEND_RESERVATION_FUNC(3)

PROTO_FUNC
canvas_PROTO_legend_reservation_func - Legend space reservation callback.

SYNOPSIS
#include <karma_canvas.h>

void canvas_PROTO_legend_reservation_func

(KWorldCanvas canvas, void **info, int *left_margin, int *right_margin, int *bottom_margin, int *top_margin)

DESCRIPTION
This routine reserves space for a legend.

canvas
    The canvas on which the event occurred.

info
    A pointer to the arbitrary function information pointer.

left_margin
    The number of pixels required for the left margin must be written here. If nothing is written, 0 is assumed.

right_margin
    The number of pixels required for the right margin must be written here. If nothing is written, 0 is assumed.

bottom_margin
    The number of pixels required for the bottom margin must be written here. If nothing is written, 0 is assumed.

top_margin
    The number of pixels required for the top margin must be written here. If nothing is written, 0 is assumed.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/